import { jsx as _jsx } from "@stencil/core/jsx-runtime";
import { Host } from "@stencil/core";
export class Divider {
    // MARK: Props
    direction = "block";
    // MARK: Render
    render() {
        const { direction } = this;
        return (_jsx(Host, { role: "separator", direction: direction }, '8d5a30d40515635310094723e37d69eb4ac27eff'));
    }
    static get is() { return "dds-divider"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["../reset.css", "divider.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["../reset.css", "divider.css"]
        };
    }
    static get properties() {
        return {
            "direction": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "\"inline\" | \"block\"",
                    "resolved": "\"block\" | \"inline\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "direction",
                "defaultValue": "\"block\""
            }
        };
    }
}
